CVE-2014-1876

NameCVE-2014-1876
DescriptionThe unpacker::redirect_stdio function in unpack.cpp in unpack200 in OpenJDK 6, 7, and 8; Oracle Java SE 5.0u61, 6u71, 7u51, and 8; JRockit R27.8.1 and R28.3.1; and Java SE Embedded 7u51 does not securely create temporary files when a log file cannot be opened, which allows local users to overwrite arbitrary files via a symlink attack on /tmp/unpack.log.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2912-1, DSA-2923-1
NVD severitymedium (attack range: local)
Debian Bugs737562
Debian/oldoldstablepackage openjdk-6 is vulnerable.
Debian/oldstablepackages openjdk-6, openjdk-7 are vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openjdk-6 (PTS)squeeze6b18-1.8.13-0+squeeze2vulnerable
squeeze (security)6b31-1.13.3-1~deb6u1fixed
squeeze (lts)6b35-1.13.7-1~deb6u1fixed
wheezy6b27-1.12.5-1vulnerable
wheezy (security)6b35-1.13.7-1~deb7u1fixed
sid6b35-1.13.7-1fixed
openjdk-7 (PTS)wheezy7u3-2.1.7-1vulnerable
wheezy (security)7u79-2.5.5-1~deb7u1fixed
stretch, jessie7u75-2.5.4-2fixed
jessie (security)7u79-2.5.5-1~deb8u1fixed
sid7u79-2.5.5-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openjdk-6source(unstable)6b31-1.13.3-1low
openjdk-6sourcesqueeze6b31-1.13.3-1~deb6u1mediumDSA-2912-1
openjdk-6sourcewheezy6b31-1.13.3-1~deb7u1mediumDSA-2912-1
openjdk-7source(unstable)7u55-2.4.7-1low737562
openjdk-7sourcewheezy7u55-2.4.7-1~deb7u1mediumDSA-2923-1

Search for package or bug name: Reporting problems